Name:           mkosi
Version:        14
Release:        %mkrel 2
Summary:        Create bespoke OS images
Group:          Development/Tools
License:        LGPLv2+
URL:            https://github.com/systemd/mkosi
Source0:        https://github.com/systemd/mkosi/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0001:	0001-Don-t-force-x86_64-in-repository-urls.patch
Patch0002:	0002-Add-release-version-to-repo-name.patch
Patch0003:	0003-Don-t-add-update-repo-for-cauldron.patch
ExclusiveArch:	x86_64
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  binutils
BuildRequires:  python3dist(pexpect)

Recommends:     dnf
Recommends:     gnupg
Recommends:     xz
Recommends:     tar
Recommends:     e2fsprogs
Recommends:     squashfs-tools
Recommends:     cryptsetup
Recommends:     binutils
Recommends:     debootstrap
Recommends:     arch-install-scripts
Recommends:     edk2-ovmf
Recommends:     btrfs-progs
Recommends:     dosfstools
Recommends:     cpio
Recommends:     zstd
Recommends:     python3dist(argcomplete)
Recommends:     python3dist(cryptography)
Recommends:     python3dist(pexpect)

%description
A fancy wrapper around "dnf --installroot", "debootstrap", "pacman", "zypper",
"emerge", and "swupd-extract" that may generate disk images with a number of
bells and whistles.

Generated images are tailed to the purpose. This means GPT disk labels are used
by default, though MBR disk labels are supported, and only systemd based images
may be generated.

%prep
%autosetup -p1 -Sgit_am

%build
%py3_build

%install
%py3_install

%files
%license LICENSE
%doc README.md
%_bindir/mkosi
%{python3_sitelib}/mkosi/
%{python3_sitelib}/mkosi-%{version}-py*.egg-info/
%_mandir/man1/mkosi.1*

%check
%pytest tests/ -v \
  -k 'not test_copy_file'

# just a smoke test for syntax or import errors
%buildroot/usr/bin/mkosi --help >/dev/null



%changelog
* Sat Dec 09 2023 wally <wally> 14-2.mga10
+ Revision: 2016169
- rebuild for py3.12

* Sun Dec 04 2022 wally <wally> 14-1.mga9
+ Revision: 1917516
- new version 14

* Sat Jul 23 2022 wally <wally> 13-3.mga9
+ Revision: 1870534
- another update for mga repo url patch

* Sat Jul 23 2022 wally <wally> 13-2.mga9
+ Revision: 1870529
- update mga repo url patch

* Sat Jul 23 2022 wally <wally> 13-1.mga9
+ Revision: 1870472
- new version 13

* Sat Mar 26 2022 umeabot <umeabot> 12-3.mga9
+ Revision: 1828450
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 12-2.mga9
+ Revision: 1775081
- Rebuild for python-3.10

* Mon Dec 06 2021 wally <wally> 12-1.mga9
+ Revision: 1760912
- new version 12

* Sun Aug 08 2021 wally <wally> 10-1.mga9
+ Revision: 1740434
- new version 10

* Tue Apr 06 2021 wally <wally> 9-1.mga9
+ Revision: 1713897
- new version 9

* Mon Mar 15 2021 wally <wally> 8-2.mga9
+ Revision: 1703637
- rebuild for python 3.9

* Sun Dec 06 2020 wally <wally> 8-1.mga8
+ Revision: 1653817
- new version 8

* Sun Oct 11 2020 wally <wally> 6-1.mga8
+ Revision: 1633468
- new version 6

* Sat Feb 15 2020 umeabot <umeabot> 5-2.mga8
+ Revision: 1526967
- Mageia 8 Mass Rebuild

* Sun Jul 07 2019 wally <wally> 5-1.mga8
+ Revision: 1419267
- new version 5

* Wed Jan 09 2019 wally <wally> 4-3.mga7
+ Revision: 1353782
- add patch to not force x86_64 arch in repository urls

* Thu Sep 20 2018 umeabot <umeabot> 4-2.mga7
+ Revision: 1279938
- Mageia 7 Mass Rebuild

* Mon Sep 10 2018 wally <wally> 4-1.mga7
+ Revision: 1258189
- new version 4
- sync patches with Fedora
+ mitya <mitya>
- imported package mkosi


* Fri Jun 23 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2-1
- Update to latest version (#1464285)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1-2
- Rebuild for Python 3.6

* Thu Nov  3 2016 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1-1
- Initial version
